sha256 stringlengths 64 64 | language stringclasses 27
values | size int32 1 491k | lines int32 1 21.8k | content stringlengths 1 200k |
|---|---|---|---|---|
58a0349361b327b3e4061fff31b2ba7282a6e79d4f2a9ad371f3570699b98ef2 | Shell | 14,415 | 261 | #! /bin/bash
# Species specific config file for recon-all.v6.hiresNHP
# Takuya Hayashi, RIKEN Japan
# Akiko Uematsu, RIKEN Japan
# Chad Donahue, Washington University St. Louis, USA
# Matthew F Glasser, Washington University St. Louis, USA
# Copyright (c) 2018-2024
# All rights reserved.
SkullStripMethod=PreFS ... |
a04c91d2c4d9f1e9ae4cd09de02c005b7fa88198f19361985f46b91e928da12a | Shell | 14,438 | 302 | #!/bin/bash
# Copyright (C) 2021 University of Oxford
# SHCOPYRIGHT
#set -e
#set -x
######
if [ $# -lt 2 ] ; then
echo "Usage: `basename $0` --FLAIR=<FLAIR_image_name> --T1=<T1_image_name> --outname=<output_basename> [--manualmask=<manualmask_name] [--nodistmaps] [--keepintermediate] [-v]"
echo " "
echo "Th... |
82577876dacc855c09248c96e6f8511dfcc1bca4ebb73d56c0d44655958a0c09 | Shell | 14,491 | 274 | #!/bin/bash
set -eu
pipedirguessed=0
if [[ "${HCPPIPEDIR:-}" == "" ]]
then
pipedirguessed=1
#fix this if the script is more than one level below HCPPIPEDIR
export HCPPIPEDIR="$(dirname -- "$0")/../.."
fi
source "$HCPPIPEDIR/global/scripts/newopts.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/debug.shlib"... |
5c46e6c1948a2abc9f3579662e57a5a28646a126478f4c7b1f18d0abb72198a3 | Shell | 14,565 | 528 | #!/bin/bash
#
# this script aligns FreeSurfer (FS) surfaces with anatomical and
# functional data, for viewing in AFNI. It requires that FreeSurfer
# and AFNI are set up, and that AFNI +orig files are used.
#
# The only purpose of this script is to ensure that surfaces,
# anatomical and functional volume data are al... |
ec190ae312d2d2c2b8cfea11bc695e2da5f1bd7d360d688a3a35b8297689b64c | Shell | 14,594 | 371 | #!/bin/bash
#~ND~FORMAT~MARKDOWN~
#~ND~START~
#
# # PostFix.sh
#
# ## Copyright Notice
#
# Copyright (C) 2015-2017 The Human Connectome Project
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Matthew F. Glasser, Department of Anatomy and Neurobiology, W... |
149f0a211b3e11a959f910a8704bfc52e475c4a3ddd8feaaec1b1987085dab82 | Shell | 14,600 | 60 | CUDA_VISIBLE_DEVICES=6,0 python gnn_hyper.py --use_sage --device 1 --log_steps 1 --num_layers 2 --hidden_channels 128 --dropout 0.0 --batch_size 65536 --lr 0.0001 --epochs 1000 --eval_steps 10 --runs 1 --log_dir log_gnn_sage/run04 --n_par_combs 54 --curr_param_idx 0 &
CUDA_VISIBLE_DEVICES=0,8 python gnn_hyper.py --use... |
1eda56005b6d8e2ac1924a574f763d2795a0dc4569b0f61e4b96c4a2a072aafb | Shell | 14,600 | 60 | python gnn_hyper_final.py --use_node_embedding --device 6 --log_steps 1 --num_layers 2 --hidden_channels 128 --dropout 0.0 --batch_size 65536 --lr 0.001 --epochs 1000 --eval_steps 10 --runs 1 --log_dir final_log_gnn_gcn_emb/run01 --n_par_combs 54 --curr_param_idx 0 &
python gnn_hyper_final.py --use_node_embedding --d... |
7ccbb1b0e7d0bd7d3083e2c7d51acd07a3fa7d6aca72bad1107ddf9dbbbccabb | Shell | 14,715 | 274 | #!/bin/bash
set -eu
pipedirguessed=0
if [[ "${HCPPIPEDIR:-}" == "" ]]
then
pipedirguessed=1
export HCPPIPEDIR="$(dirname -- "$0")/../.."
fi
source "$HCPPIPEDIR/global/scripts/newopts.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/debug.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/tempfiles.shlib" "$@"
opts... |
a9c470f7727df5a66bb257201c7d7c9944420b97e719849c0378b81f50d15b60 | Shell | 15,128 | 436 | #!/bin/bash
# Check for required external environment variable pointing to app home directory
if [ -d "$THOMAS_HOME" ]; then
RES_PATH=${THOMAS_HOME}/resources
else
echo "ERROR: The environment variable THOMAS_HOME must be set before this script is run."
exit 1
fi
function Usage () {
echo ""
echo "... |
f2422733af1cd471ae3ac32e5320c64c200bf20d3ea4e0ecdfd9472a8878fa7e | Shell | 15,144 | 333 | #!/bin/bash
# ------------------------------------------------------------------------------
# Show usage information for this script
# ------------------------------------------------------------------------------
set -eu
pipedirguessed=0
if [[ "${HCPPIPEDIR:-}" == "" ]]
then
pipedirguessed=1
#fix this if ... |
59b74dbf81e64084e296fcadce280cbb60b5897db43d77a2de0867efdd69ee70 | Shell | 15,302 | 60 | CUDA_VISIBLE_DEVICES=5,7 python gnn_hyper.py --use_node_embedding --device 1 --log_steps 1 --num_layers 2 --hidden_channels 128 --dropout 0.0 --batch_size 65536 --lr 0.001 --epochs 1000 --eval_steps 10 --runs 1 --log_dir log_gnn_gcn_emb/run03 --n_par_combs 54 --curr_param_idx 0 &
CUDA_VISIBLE_DEVICES=7,5 python gnn_hy... |
2252aff2c06d375bb25c52266ea81def9bc3b6486c3a963fcb41a7b54a8cfee6 | Shell | 15,560 | 343 | #!/bin/bash
set -eu
pipedirguessed=0
if [[ "${HCPPIPEDIR:-}" == "" ]]
then
pipedirguessed=1
export HCPPIPEDIR="$(dirname "$0")/../.."
fi
source "$HCPPIPEDIR/global/scripts/newopts.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/debug.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/tempfiles.shlib"
g_matlab_defa... |
f4b7d57bdb1ca40d828cb08e35938e72bff6bb18e245d68d455df4996869531f | Shell | 15,567 | 437 | #!/bin/sh
# [description]
#
# Prepare a source distribution (sdist) or built distribution (wheel)
# of the Python-package, and optionally install it.
#
# [usage]
#
# # build sdist and put it in dist/
# sh ./build-python.sh sdist
#
# # build wheel and put it in dist/
# sh ./build-python.sh bdist... |
7f227f0e098a23c78666371d94ce4d3fd785a771037355a042b70ffc73de3697 | Shell | 15,768 | 267 | #!/bin/bash
# --------------------------------------------------------------------------------
# Usage Description Function
# --------------------------------------------------------------------------------
script_name=$(basename "${0}")
show_usage() {
cat <<EOF
${script_name}
Usage: ${script_name} [options]
Us... |
3fd21c8d7cd852deca44d8f26c0325c7364dbf3c55a081e8ee114282b7d59067 | Shell | 15,916 | 319 | #!/bin/bash
set -eu
pipedirguessed=0
if [[ "${HCPPIPEDIR:-}" == "" ]]
then
pipedirguessed=1
export HCPPIPEDIR="$(dirname -- "$0")/.."
fi
source "$HCPPIPEDIR/global/scripts/newopts.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/debug.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/tempfiles.shlib" "$@"
opts_Se... |
fdaa95b1f9b73e43a7051fbbbe161cb67b4d25874aba59062462aa9a04f24f0a | Shell | 15,953 | 57 | CUDA_VISIBLE_DEVICES=5,7 python gnn_hyper.py --use_sage --use_node_embedding --device 1 --log_steps 1 --num_layers 2 --hidden_channels 128 --dropout 0.0 --batch_size 65536 --lr 0.001 --epochs 1000 --eval_steps 10 --runs 1 --log_dir log_gnn_sage_emb/run03 --n_par_combs 54 --curr_param_idx 0 &
CUDA_VISIBLE_DEVICES=7,5 p... |
ecb7ef33babf8fcd37d0b24701daa75269402f7356f9dd951710cc159e1853d3 | Shell | 16,263 | 452 | #!/bin/bash
set -eu
pipedirguessed=0
if [[ "${HCPPIPEDIR:-}" == "" ]]
then
pipedirguessed=1
export HCPPIPEDIR="$(dirname -- "$0")/../.."
fi
source "$HCPPIPEDIR/global/scripts/newopts.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/debug.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/tempfiles.shlib" "$@"
opts... |
e569da0a235884d02d317d911daa926c557ce6b19153debb9f4cc02f4d64015a | Shell | 16,430 | 139 | #!/bin/bash
set -eu
#TODO: should all of this text be in the help info?
# Generate cifti masks for spatial tICA features. There are two categories of masks, 1. specific brain region masks,
# including CSF, WM, GM and other subcortical and cortical areas. They are used to capture features in different brain regions;
... |
5abd6f43c9efaec30d09dfeaa5aa4c2c30991fcb67476ca85fcf149666d467f1 | Shell | 17,066 | 286 | #!/bin/bash
set -eu
pipedirguessed=0
if [[ "${HCPPIPEDIR:-}" == "" ]]
then
pipedirguessed=1
export HCPPIPEDIR="$(dirname -- "$0")/../.."
fi
source "$HCPPIPEDIR/global/scripts/newopts.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/debug.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/tempfiles.shlib" "$@"
opts... |
7363b002996baa144eab8d2ee8d7f3e7fa1c6b26f9ab4f1db5e9e78e297fc739 | Shell | 17,138 | 424 | #!/bin/bash
#
# FOR MORE INFORMATION, PLEASE VISIT: http://www.psmd-marker.com
#
# PSMD processing pipeline, v1.9.1 (2025-10)
#
# IMPORTANT: This tool is NOT a medical device and for research use only!
# Do NOT use this tool for diagnosis, prognosis, monitoring or any other
# purpose in clinical use.
#
# This script is... |
62a234f79b7517f233cf1991a538a7185c3df293e467b1f6aabe0a138f5b64ad | Shell | 17,482 | 518 | #############################
############## Dynamic option
#############################
# !!!!!!!!!!!
# Declare a dictionary/hashtable with the commandline options
# !!!!!!!!!!!
# This needs to be used in the dictionary
OPTION_SEP="1238sdf4134"
function add_argument() {
############################################... |
36b9bbb8febd3500b4eee5f270794d7591001ea4f747b8599853d200f46cb0db | Shell | 17,520 | 347 | #!/bin/bash
Usage () {
echo "$(basename $0) --StudyFolder=<path> --Subject=<id> --Species=<species> --RunMode=<mode> --StrucRes=<resolution> [--BrainExtract=<method>] "
echo ""
echo "Required Options:"
echo " --StudyFolder: Path to the study folder containing subject data"
echo " --Subject: Sub... |
35460bf0d27fcdc1f3f98a523b9517acc935b1c6d9ad7af555cb0797ed41b45e | Shell | 17,527 | 451 | # Library to cache downloaded and locally-built Homebrew bottles in Travis OSX build.
#Should be in Travis' cache
BREW_LOCAL_BOTTLE_METADATA="$HOME/local_bottle_metadata"
#FIXME: temporary fix to enable the build, should be replaced with the proper path to the cache dir
mkdir -p $BREW_LOCAL_BOTTLE_METADATA
# Starti... |
35dcf62b9fa7ae172246c5bdac127a7eb544d9258240b2cb224784e177eb4453 | Shell | 17,569 | 473 | #!/usr/bin/env bash
set -euo pipefail
input_root="$1"
output_dir="$2"
threads="${3:-16}"
alps_dir="$input_root/WCH_output/WCH_DTI_ALPS"
mkdir -p "$output_dir"
raw_img_dir="$output_dir/raw_images"
t1w_img_dir="$output_dir/t1w_space_images"
mni_img_dir="$output_dir/mni_space_images"
mean_img_dir="$output_dir/mean_im... |
ffa05946e7c0d1b51e6cf50d97172da1c8bae46112fa20fa438bd1c89e9eccd3 | Shell | 17,982 | 414 | # #!/bin/bash
# set -euo pipefail
# subject=sub-LAM028
# fs_dir=/media/miplab-nas2/Data/Karolis/huppi_high_res_resting/derivatives/freesurfer/${subject}/
# bold_file=${subject}_MEAN.nii
# bold_file_withoutExt=${subject}_MEAN
# func_dir=/media/miplab-nas2/Data/Karolis/huppi_high_res_resting/derivatives/func/${subject}
... |
02454d7dfd83ca5f0d784ae11a83f1bf11f76996834a45e3df27c73eb341d44a | Shell | 18,066 | 277 | #!/bin/bash
PROJECT=/Volumes/Elements_CR/atrialmtk/src/3Processing/UAC_Codes
DATA="/Volumes/Elements_CR/atrialmtk/Examples/Example-Biatrial-CT-shape-model/3Processing"
export PYTHONPATH=$PROJECT
UnitsRescale=1000
cp "/Volumes/Elements_CR/atrialmtk/Examples/Example-Biatrial-CT-shape-model/2Landmarks/LA_Mesh1/output... |
7c762bb9de545bb7485504f1625eb55d852dccfb77cd8b5239284531bf8f752c | Shell | 18,102 | 351 | #!/bin/bash
# Stop on error
set -e
if [[ "$#" -lt 2 ]]; then
echo
echo "ACTIVATE PIPELINE'S CONDA ENVIRONMENT BEFORE RUNNING THIS SCRIPT!"
echo
echo "This script installs data for genome [GENOME] on a directory [DEST_DIR]."
echo "A TSV file [DEST_DIR]/[GENOME].tsv will be generated. Use it for pipeline."
e... |
a4558e3ad0116f7b30776d4392b65ef29eeba38ea489bd5bb1531db95b7a2066 | Shell | 18,624 | 503 | #!/usr/bin/env bash
set -euo pipefail
bids_dir="$1"
output_dir="$2"
threads="${3:-16}"
dwi_pipeline_dir="$bids_dir/derivatives/dwi_pipeline"
qsiprep_dir="$bids_dir/derivatives/qsiprep"
xfm_dir="$bids_dir/derivatives/xfm"
qsirecon_dir="$bids_dir/derivatives/qsirecon-DSIStudio"
mkdir -p "$output_dir"
raw_img_dir="$o... |
6206e8cc016a305f2b9f7c7a9d9fb373b4d3c93f550d2cdf09f0bb5b9b2ef228 | Shell | 18,706 | 313 | #!/bin/bash
set -eu
pipedirguessed=0
if [[ "${HCPPIPEDIR:-}" == "" ]]
then
pipedirguessed=1
export HCPPIPEDIR="$(dirname -- "$0")/../.."
fi
source "$HCPPIPEDIR/global/scripts/newopts.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/debug.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/tempfiles.shlib" "$@"
opts... |
c014bcb6771e1e4ecea1fb287d37d8d2ee07a973553ab4e016ec617ed44533a1 | Shell | 18,811 | 454 | #!/bin/bash
#
# # ReApplyFixPipeline.sh
#
# ## Copyright Notice
#
# Copyright (C) 2015-2017 The Human Connectome Project/Connectome Coordination Facility
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Matthew F. Glasser, Department of Anatomy and Neurob... |
c9cf78e3f484f5f046d88de1e5dec5e30fbf05c0afd7acf16a0921b82f442a63 | Shell | 18,926 | 491 | #!/bin/bash
set -eu
pipedirguessed=0
if [[ "${HCPPIPEDIR:-}" == "" ]]
then
pipedirguessed=1
export HCPPIPEDIR="$(dirname -- "$0")/.."
fi
source "$HCPPIPEDIR/global/scripts/newopts.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/debug.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/tempfiles.shlib" "$@"
g_matlab_de... |
08d98740f85fed791cf34a8f63f8b8a8173dc820fb926e17f17bcdd27384c554 | Shell | 19,325 | 487 | #!/bin/bash
#~ND~FORMAT~MARKDOWN~
#~ND~START~
#
# # run_eddy.sh
#
# ## Copyright Notice
#
# Copyright (C) 2012-2019 The Human Connectome Project
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Stamatios Sotiropoulos - Analysis Group, FMRIB Centre
# * Saa... |
2be0ea9ff829284824964ed044783ddf6302546f628ee9ac6d61e8bed056229a | Shell | 19,345 | 91 | python mf_hyper_final.py --device 7 --log_steps 1 --num_layers 3 --hidden_channels 128 --dropout 0.0 --batch_size 65536 --lr 1e-05 --epochs 3000 --eval_steps 10 --runs 1 --log_dir log_mf_final/run03 --n_par_combs 81 --curr_param_idx 0 &
python mf_hyper_final.py --device 7 --log_steps 1 --num_layers 3 --hidden_channels ... |
28646a729226e0a72364c4dd5af173f451f472b1dcff9a55a6297996042e7d69 | Shell | 19,379 | 429 | # Download the reference that was used in the scRNA-seq analysis
curl -O https://cf.10xgenomics.com/supp/cell-exp/refdata-gex-GRCh38-2020-A.tar.gz
tar -xzvf refdata-gex-GRCh38-2020-A.tar.gz
# generate kallisto index file
kb ref \
-i /mnt/sdd/output/hg38_cDNA_introns.idx \
-g /mnt/sdd/output/t2g.txt \
-f1 /mnt/sdd/out... |
8b172a382f06c7cde0104c45660a610978006ce95936d7d18a9a70826b005de3 | Shell | 19,436 | 514 | #!/bin/bash
#
# FOR MORE INFORMATION, PLEASE VISIT: http://www.psmd-marker.com
#
# PSMD processing pipeline, v1.8.3 (2021-04)
#
# IMPORTANT: This tool is NOT a medical device and for research use only!
# Do NOT use this tool for diagnosis, prognosis, monitoring or any other
# purpose in clinical use.
#
# This script is... |
bd865b12ba3711f548d5b519528416fe033851042992fc4dc6184b6db10ddf6d | Shell | 19,464 | 458 | #!/bin/bash
get_batch_options() {
local arguments=("$@")
command_line_specified_study_folder=""
command_line_specified_subj=""
command_line_specified_run_local="FALSE"
local index=0
local numArgs=${#arguments[@]}
local argument
while [ ${index} -lt ${numArgs} ]; do
argument=... |
9a5246281e81037686f351127cc17e6df858516f346a39f41a235254b337d750 | Shell | 19,885 | 91 | python gnn_hyper_final.py --device 6 --log_steps 1 --num_layers 2 --hidden_channels 128 --dropout 0.0 --batch_size 65536 --lr 0.0001 --epochs 1000 --eval_steps 10 --runs 1 --log_dir final_log_gnn_gcn/run00 --n_par_combs 81 --curr_param_idx 0 &
python gnn_hyper_final.py --device 6 --log_steps 1 --num_layers 2 --hidden... |
935baf6c5fdc9229dca64cb7848ee25383df0e5741dacfbf86382000d7d1d093 | Shell | 20,181 | 521 | #!/bin/bash
#~ND~FORMAT~MARKDOWN~
#~ND~START~
#
# # PreFreeSurferPipelineBatch.sh
#
# ## Copyright Notice
#
# Copyright (C) 2013-2018 The Human Connectome Project
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Matthew F. Glasser, Department of Anatomy ... |
c76b1ecd9bbda75a7d43c10d836958c517380a9c7875b64f750d7f6fee082964 | Shell | 20,210 | 362 | #!/bin/bash
# Requirements for this script
# installed versions of: FSL
# environment: HCPPIPEDIR, FSLDIR
# --------------------------------------------------------------------------------
# Usage Description Function
# --------------------------------------------------------------------------------
set -eu
pip... |
52cd4051e546615124dbe625641fc65ffeeba9cb09612154cb6e78e8e7f5bfa6 | Shell | 20,485 | 470 | #!/bin/bash
#~ND~FORMAT~MARKDOWN~
#~ND~START~
#
# # DiffPreprocPipeline.sh
#
# ## Copyright Notice
#
# Copyright (C) 2012-2016 The Human Connectome Project
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Stamatios Sotiropoulos, FMRIB Analysis Group, Oxfo... |
f512ac97923bddcdfcdde5ea6fae317a533f66146dfcaca61450355a68d07e31 | Shell | 20,533 | 91 | CUDA_VISIBLE_DEVICES=0,7 python mlp_hyper.py --device 1 --log_steps 1 --num_layers 2 --hidden_channels 128 --dropout 0.0 --batch_size 65536 --lr 0.01 --epochs 1000 --eval_steps 10 --runs 1 --log_dir log_mlp/run09 --n_par_combs 81 --curr_param_idx 0 &
CUDA_VISIBLE_DEVICES=7,0 python mlp_hyper.py --device 1 --log_steps 1... |
ec46c3deaeb772708713f47d2c3ee6cc1203dc7aedd1a2b76527d045ec7508a9 | Shell | 20,731 | 715 | #!/bin/bash
###############################################################################
# Changelog:
# 2022-04-28 (trs) -- can monitor over time, as text or in Gnuplot
###############################################################################
if ! [ -x "$(which nvidia-smi 2> /dev/null)" ]; then
echo "ERR... |
e2c459f6b6d78b52bd9780370cd300a719b3c95d5ebf9bbf9157a8514fc13966 | Shell | 20,857 | 91 | python gnn_hyper_final.py --use_sage --device 6 --log_steps 1 --num_layers 2 --hidden_channels 128 --dropout 0.0 --batch_size 65536 --lr 0.0001 --epochs 1000 --eval_steps 10 --runs 1 --log_dir final_log_gnn_sage/run01 --n_par_combs 81 --curr_param_idx 0 &
python gnn_hyper_final.py --use_sage --device 6 --log_steps 1 ... |
1b9389ba079be7a3203a733b74c18f9edef4c0ed5ff336f16f27fe1b51326d4e | Shell | 20,917 | 472 | #!/bin/bash
#set -xv
set -e
# Authors: Matthew Glasser, Michael Harms, Sachin Dixit
usage() {
{
echo "Usage: $0 --path=<> --subjectlist=<> --groupfolder=<> --lvl3fsf=<> --lvl2task=<> --lvl2fsf=<> --prefixanalysisname=<> --finalsmoothingFWHM=<> --temporalfilter=<> --regname=<> --parcellation=<> --vba=<> --c... |
a63e2ac818f869e28e7ccaa03f5e8b09159b3ffa1743107959ba9f554466a358 | Shell | 20,965 | 349 | #!/bin/bash
set -eu
pipedirguessed=0
if [[ "${HCPPIPEDIR:-}" == "" ]]
then
pipedirguessed=1
export HCPPIPEDIR="$(dirname -- "$0")/../.."
fi
source "$HCPPIPEDIR/global/scripts/newopts.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/debug.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/tempfiles.shlib" "$@"
opts... |
9b660e6c06dcea9d9e21e4c782eb0a50e4c9dd9a1c258da07762a61979624246 | Shell | 21,157 | 499 | #!/bin/sh
#### What could be done ##################################################################
# - add a preprocessing step in order to intensity normalise all the input images ???
# - Any other ?
##########################################################################################
if [ $# -lt 1 ]
then
e... |
9420fce8c89c81aa9651a598e574740b8cd0dd04e66cbf7a8c2d9a8a30f82f5c | Shell | 21,607 | 402 | #!/bin/bash
set -eu
pipedirguessed=0
if [[ "${HCPPIPEDIR:-}" == "" ]]
then
pipedirguessed=1
export HCPPIPEDIR="$(dirname "$0")/../.."
fi
source "$HCPPIPEDIR/global/scripts/newopts.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/debug.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/tempfiles.shlib" "$@"
g_matlab... |
38e7c21e07ffc963c4cd492ab67bd87b0598f5d16fc225b888db42df28d4f033 | Shell | 22,017 | 482 | #!/bin/bash
#~ND~FORMAT~MARKDOWN~
#~ND~START~
#
# # DiffPreprocPipeline_PreEddy.sh
#
# ## Copyright Notice
#
# Copyright (C) 2012-2016 The Human Connectome Project
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Stamatios Sotiropoulos, FMRIB Analysis Gro... |
c7d8a01be7aa0bd64e01821ad473ff8f64415279e617171198cbc1f1cf45524d | Shell | 22,131 | 497 | #!/bin/bash
set -eu
#
# # PostFreeSurferPipeline.sh
#
# ## Copyright Notice
#
# Copyright (C) 2015-2024 The Human Connectome Project/Connectome Coordination Facility
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Matthew F. Glasser, Department of Anatom... |
099c9eb5c1536a13464d07df4713cf7188165f3c6d84311e678b9bdb60200a60 | Shell | 22,884 | 86 | python gnn_hyper_final.py --use_sage --use_node_embedding --device 6 --log_steps 1 --num_layers 2 --hidden_channels 128 --dropout 0.0 --batch_size 65536 --lr 0.001 --epochs 1000 --eval_steps 10 --runs 1 --log_dir final_log_gnn_sage_emb/run01 --n_par_combs 81 --curr_param_idx 0 &
python gnn_hyper_final.py --use_sage --... |
7e4b3b39614cb81bcaf698b6c0fc05885737f70e136f6ffbeaf050be2b819366 | Shell | 22,979 | 390 | #!/bin/bash
set -eu
#~ND~FORMAT~MARKDOWN~
#~ND~START~
#
# # MSMAllPipeline.sh
#
# ## Copyright Notice
#
# Copyright (C) 2015-2017 The Human Connectome Project
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Matthew F. Glasser, Department of Anatomy and ... |
7acc809b9bb466a31cb6a5120e48b231e444bb69e12272ed314920aaf12c19bf | Shell | 23,529 | 424 | #!/bin/bash
# # PostFreeSurferPipelineLongPrep.sh
#
# ## Copyright Notice
#
# Copyright (C) 2022-2024 The Human Connectome Project
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Mikhail Milchenko, Department of Radiology, Washington University in St. L... |
737bbc2064bb73a3e202bb33a50b40f6cf92bdabb8643d4c5d714899dbd2d805 | Shell | 23,939 | 490 | #!/bin/bash
# --------------------------------------------------------------------------------
# Usage Description Function
# --------------------------------------------------------------------------------
script_name=$(basename "${0}")
show_usage() {
cat <<EOF
${script_name}: Sub-script of TaskfMRIAnalysis.sh
... |
f1612dac03a893677fa8bdc60194f514d8d398cea99f586d626c4b445c62ed40 | Shell | 25,913 | 496 | #!/bin/bash
set -euE
pipedirguessed=0
if [[ "${HCPPIPEDIR:-}" == "" ]]
then
pipedirguessed=1
export HCPPIPEDIR="$(dirname -- "$0")/../.."
fi
source "$HCPPIPEDIR/global/scripts/newopts.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/debug.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/tempfiles.shlib" "$@"
opt... |
b76a18f1d9da8ca2a37b55a7580099cf9206cadb9b16657aa4f456d4ff54502d | Shell | 25,983 | 121 | python mlp_hyper_final.py --device 7 --log_steps 1 --num_layers 2 --hidden_channels 128 --dropout 0.0 --batch_size 65536 --lr 0.01 --epochs 4000 --eval_steps 5 --runs 1 --log_dir final_log_mlp/run02 --n_par_combs 108 --curr_param_idx 0 &
python mlp_hyper_final.py --device 7 --log_steps 1 --num_layers 2 --hidden_channel... |
36a2fa64017d4ce6fc68ee35d405aea86abf6c13c1aa8dedc231c6233e9b978c | Shell | 26,490 | 404 | #!/bin/bash
pipedirguessed=0
if [[ "${HCPPIPEDIR:-}" == "" ]]
then
pipedirguessed=1
export HCPPIPEDIR="$(dirname -- "$0")/../.."
fi
# Species specific config file
# Takuya Hayashi, RIKEN Japan
# Akiko Uematsu, RIKEN, Japan
# Yuki Hori, RIKEN Japan
# Chad Donahue, Washington University St. Louis, USA
# Matth... |
ed9807997540a0ea5cb93357ec5d61627755a3bc56e69c0f7459f7bc8206f11e | Shell | 26,759 | 424 | #!/bin/bash
#~ND~FORMAT~MARKDOWN~
#~ND~START~
#
# # makeSubjectTaskSummary.sh
#
# ## Copyright (C) 2021 The Human Connectome Project
#
# * Washington University in St. Louis
#
# ## Author(s)
#
# * Greg Burgess, Washington University in St. Louis
#
# ## Product
#
# [Human Connectome Project][HCP] (HCP) Pipelines
#
# ## ... |
2c07b926115de66ab141e0da0adc3adf05bfb8a7ede11bb6a689b41ad6a2c4b2 | Shell | 27,836 | 343 | #!/bin/bash
# --------------------------------------------------------------------------------
# Usage Description Function
# --------------------------------------------------------------------------------
script_name=$(basename "${0}")
show_usage() {
cat <<EOF
${script_name}: Sub-script of PostFreeSurferPipelin... |
deb186b14836921aacce0f918a1f056981c1015b9c6e0b860e8db4f6d5397e08 | Shell | 30,065 | 576 | #!/bin/bash
# Requirements for this script
# installed versions of: FSL, gradunwarp (HCP version)
# environment: HCPPIPEDIR, FSLDIR, HCPPIPEDIR_Global, PATH for gradient_unwarp.py
# -----------------------------------------------------------------------------------
# Constants for specification of Averaging and R... |
a2fdd4423e5b2fa32bd654a2c16bb76f379972948d86d7cc4e9269beb0e59d72 | Shell | 30,317 | 433 | #!/bin/bash
set -eu
# ------------------------------------------------------------------------------
# Check that HCPPIPEDIR is defined and Load Function Libraries
# ------------------------------------------------------------------------------
pipedirguessed=0
if [[ "${HCPPIPEDIR:-}" == "" ]]
then
pipedirgues... |
d007e02e7a88695f8fc832fce7be77e449a9e33f1ffbae229a9aa2a03a5f5d49 | Shell | 31,919 | 823 | #!/bin/bash
#~ND~FORMAT~MARKDOWN~
#~ND~START~
#
# # FreeSurferPipeline.sh
#
# ## Copyright Notice
#
# Copyright (C) 2015-2018 The Human Connectome Project/Connectome Coordination Facility
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Matthew F. Glasse... |
5f8f205897ac0ac0cf396788ccd07123657aa7ce56179fc55a996add4ab4a51e | Shell | 33,814 | 114 | CUDA_VISIBLE_DEVICES=7,1 python seal_link_pred_hyper.py --splitting_strategy spatial --use_feature --log_steps 1 --num_layers 2 --hidden_channels 32 --batch_size 32 --lr 0.0001 --epochs 100 --eval_steps 10 --runs 1 --log_dir final_log_seal/run00 --n_par_combs 108 --curr_param_idx 0 --num_hops 1 --model DGCNN &
CUDA_VI... |
98757adaf417806a60424ecda6ba97c04d4d1bef02b6458e6abbb732c37242f0 | Shell | 34,214 | 684 | #!/bin/bash
############################################################################
### Arima MAPS v2 QC Metrics ###
############################################################################
# Use this config file to run Arima HiChIP data, created using the Arima Hi-... |
1497364b6e745f84d4512609c84502108f069a261004b6423980ba5ec2e72ef4 | Shell | 34,662 | 666 | #!/bin/bash
# Requirements for this script
# installed versions of: FSL>=6.0.6, gradunwarp (HCP version)
# environment: HCPPIPEDIR, FSLDIR, HCPPIPEDIR_Global, PATH for gradient_unwarp.py
################################################ SUPPORT FUNCTIONS ##################################################
# -------... |
6137ae535e71f2d533291c379387a7df9db14a8356607a482be59dd37c72610c | Shell | 34,894 | 114 | CUDA_VISIBLE_DEVICES=7,1 python seal_link_pred_hyper_norm.py --splitting_strategy spatial --use_feature --log_steps 1 --num_layers 2 --hidden_channels 32 --batch_size 32 --lr 0.0001 --epochs 100 --eval_steps 10 --runs 1 --log_dir final_log_seal_norm/run00 --n_par_combs 108 --curr_param_idx 0 --num_hops 1 --model DGCNN... |
e0da1f5aec168f2c21c62600ec3c23066903d7255a2b05fdd4f319cc78ee2181 | Shell | 35,242 | 656 | #!/bin/bash
# Requirements for this script
# installed versions of: FSL, Connectome Workbench (wb_command)
# environment: HCPPIPEDIR, FSLDIR, CARET7DIR
# --------------------------------------------------------------------------------
# Usage Description Function
# ------------------------------------------------... |
91c73374f87720b27bb6104f814123cb87bc4e75df812aabeb8bc2de0e607299 | Shell | 35,730 | 802 | #!/bin/bash
#
# # MakeAverageDataset.sh
#
# ## Copyright Notice
#
# Copyright (C) 2014-2017 The Human Connectome Project/Connectome Coordination Facility
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Matthew F. Glasser, Department of Anatomy and Neuro... |
7c1f11ab3a804ca8fa7fb2e91a1fd384699c90f506b8c2a897aa4ca1eb3247f7 | Shell | 39,326 | 1,134 | #!/bin/bash
#~ND~FORMAT~MARKDOWN~
#~ND~START~
#
# # RestingStateStats.sh
#
# ## Copyright Notice
#
# Copyright (C) 2015-2019 The Human Connectome Project and the Connectome Coordination Facility
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Matthew F.... |
767bffbfc8ff0f9b6e58f042f6b564657f6a42a390c35c632049ed319de2b2e8 | Shell | 40,384 | 887 | #!/bin/bash
#
# # ReApplyFixMultiRunPipeline.sh
#
# ## Copyright Notice
#
# Copyright (C) 2017-2025 The Human Connectome Project/Connectome Coordination Facility
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Matthew F. Glasser, Department of Anatomy an... |
58cb1bd633e4dfee55b3c61a24fc86fc50df027f139c2d7fd5cda0c254361a40 | Shell | 41,038 | 773 | #!/bin/bash
set -eu
pipedirguessed=0
if [[ "${HCPPIPEDIR:-}" == "" ]]
then
pipedirguessed=1
#fix this if the script is more than one level below HCPPIPEDIR
export HCPPIPEDIR="$(dirname -- "$0")/.."
fi
source "$HCPPIPEDIR/global/scripts/newopts.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/debug.shlib" "$... |
b00154690d412fcd22aa079b11c99a6abf97a09e6a5261c499b9b4f01bf4e269 | Shell | 41,645 | 616 | #!/bin/bash
set -eu
#
# # DeDriftAndResamplePipeline.sh
#
# ## Copyright Notice
#
# Copyright (C) 2015-2017 The Human Connectome Project
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Matthew F. Glasser, Department of Anatomy and Neurobiology, Washingto... |
a7e91ffec1f05380ff30bfa70d3a96c2e0a7ede2f28cdd3fc1389199535dc289 | Shell | 42,334 | 1,051 | #!/bin/bash
#~ND~FORMAT~MARKDOWN~
#~ND~START~
#
# # FreeSurferPipeline.sh
#
# ## Copyright Notice
#
# Copyright (C) 2015-2018 The Human Connectome Project/Connectome Coordination Facility
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Matthew F. Glasse... |
59398a9a7fc26042500b529cf0edfa5aa6535306a5a0ad6211421151d74e6c64 | Shell | 50,384 | 1,005 | #!/bin/bash
#~ND~FORMAT~MARKDOWN~
#~ND~START~
#
# # PreFreeSurferPipeline.sh
#
# ## Copyright Notice
#
# Copyright (C) 2013-2014 The Human Connectome Project
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Matthew F. Glasser, Department of Anatomy and Ne... |
fcc797d7cabaf230f87827eecb1c75471d3e8784e677dbe9f6a0c651f7639cf7 | Shell | 51,583 | 693 | #! /bin/bash
#############################################################
# Giuseppe Barisano - barisano@stanford.edu
#############################################################
##### Computing diffusion along perivascular spaces (ALPS) from diffusion-weighted images #####
# REQUIRES: - FSL v. 6.0.3 or newer (htt... |
4612b93f5956474585cd6b37e6fa20d340b933e9e3e5da8142e2f12c4ce4f18b | Shell | 53,352 | 713 | #! /bin/bash
#############################################################
# Giuseppe Barisano - barisano@stanford.edu
#############################################################
##### Computing diffusion along perivascular spaces (ALPS) from diffusion-weighted images #####
# REQUIRES: - FSL v. 6.0.3 or newer (htt... |
8869108e785d053195070f5c991c3f10fa298a06e8e392ac94ffd6f526cd2326 | Shell | 54,845 | 736 | #! /bin/bash
#############################################################
# Giuseppe Barisano - barisano@stanford.edu
#############################################################
##### Computing diffusion along perivascular spaces (ALPS) from diffusion-weighted images #####
# REQUIRES: - FSL v. 6.0.3 or newer (htt... |
04392631e836b7eb4f9f382f4baa335bf83765752c0dc310616a9a9056800602 | Shell | 58,213 | 1,236 | #!/bin/bash
#dont want exit on error because we wont terminate!
#set -e
starttime=$(date +%s)
set -x
env
if [ -n "${NEMO_RUNNING_ON_AWS}" ]; then
IMDSTOKEN=$(curl -sS --connect-timeout 1 -X PUT "http://169.254.169.254/latest/api/token" -H "X-aws-ec2-metadata-token-ttl-seconds: 21600" 2>/dev/null || true)
... |
4ec3b1ba871de3dd2715dba297cb9ad5a6c0730883f80578ae0d6b40fd03b5b8 | Shell | 60,249 | 1,560 | #!/bin/bash
# shellcheck disable=SC2028,SC2030,SC2031
#
# Usage: sh_WES.sh </path/to/fastq(.gz)/folder> </path/to/destination/folder> [/path/to/config/file.ini]
#
##############################################################
## Description ##
###############################... |
60fb7c74361269e9c3f4fb281b7d9ceb5e0b45631e4cad2c5d4a2b07c732159d | Shell | 62,107 | 1,725 | #!/bin/bash
# shellcheck disable=SC2028,SC2030,SC2031
#
# Usage: sh_CRISPR.sh </path/to/fastq(.gz)/folder> </path/to/destination/folder> [/path/to/config/file.ini]
#
##############################################################
## Description ##
############################... |
8a998f16851e5861d6a67b5084067c63e37399f49d67920d2155b6d5963be04c | Shell | 69,316 | 892 | #!/bin/bash
set -eu
pipedirguessed=0
if [[ "${HCPPIPEDIR:-}" == "" ]]
then
pipedirguessed=1
#fix this if the script is more than one level below HCPPIPEDIR
export HCPPIPEDIR="$(dirname -- "$0")/../.."
fi
source "$HCPPIPEDIR/global/scripts/newopts.shlib" "$@"
source "$HCPPIPEDIR/global/scripts/debug.shlib"... |
74de9dfb080c85fc98859623e55f11d427814c5ea0926aa89894ef70f278d529 | Shell | 75,402 | 1,345 | #!/bin/bash
# Requirements for this script
# installed versions of: FSL, FreeSurfer, gradunwarp (HCP version)
# environment: HCPPIPEDIR, FSLDIR, FREESURFER_HOME, HCPPIPEDIR_Global, PATH for gradient_unwarp.py
########################################## OUTPUT DIRECTORIES ##########################################
... |
f4e32acdc31058e900b91939cf4611d44867753b7a5e9e2e17fd0fe13576c098 | Shell | 81,457 | 1,316 | #!/bin/bash
# ADAM.sh: Automated Data Manager for eveGNN
# Check if a path argument is provided
if [ $# -ne 1 ]; then
echo "Usage: $0 <path_to_project>"
exit 1
fi
name=$1
# Check if the specified folder exists
if [ ! -d "$name" ]; then
echo "The specified project folder '$name' does not exist."
exit ... |
fa448e0f6ac519fcf3b1f533dbe0411bace6f5b1c59bb7278abfa04b4e4a1e0d | Shell | 82,358 | 762 | #!/bin/bash
set -eu
# ------------------------------------------------------------------------------
# Check that HCPPIPEDIR is defined and Load Function Libraries
# ------------------------------------------------------------------------------
pipedirguessed=0
if [[ "${HCPPIPEDIR:-}" == "" ]]
then
pipedirguesse... |
5df4d03129b0ea1293a9096960a870bbe9d09204968b074ebcfd5f72f22c0938 | Shell | 83,547 | 1,326 | #!/bin/bash
# Requirements for this script
# installed versions of: FSL, FreeSurfer
# environment: HCPPIPEDIR, FSLDIR, FREESURFER_HOME, HCPPIPEDIR_Global
# ---------------------------------------------------------------------------
# Constants for specification of susceptibility distortion Correction Method
# ----... |
8d360ed1138662d7b731ffc8769881d701fb0ce0ea63d8025415a56a1315857a | Shell | 106,903 | 2,735 | #!/bin/bash
# shellcheck disable=SC2028,SC2030,SC2031
#
# Usage: sh_RNAseq.sh </path/to/fastq(.gz)/folder> </path/to/destination/folder> [/path/to/config/file.ini] [OutputDirName]
#
##############################################################
## Description ##
############... |
5a8bf5d946a1b4cef19874de1ce234b39915ae6c9bad0593de69f358e18bee04 | Shell | 174,645 | 5,395 | #!/bin/bash
# THIS SCRIPT CONTAINS FUNCTIONS COMMON TO BOTH SNARTomoClassic and SNARTomoPACE
function check_vars() {
###############################################################################
# Function:
# Checks specific environmental variables which should be defined in snartomo.bashrc
# Adapted from... |
abcd20d8e48bd20fb8f1f938676f573948fbabfe87aceee42811dfb4938bfa79 | Shell | 200,000 | 6,977 |
# libtool (GNU libtool) 2.4.2
# Written by Gordon Matzigkeit <gord@gnu.ai.mit.edu>, 1996
# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2003, 2004, 2005, 2006,
# 2007, 2008, 2009, 2010, 2011 Free Software Foundation, Inc.
# This is free software; see the source for copying conditions. There is NO
# warranty; no... |
d71a0cb112b9e8b26ebe9ef0467b190e4cf872f92c1575404bf948dc79fdf466 | Stan | 3,930 | 87 | functions {
matrix calculate_alpha(matrix X, matrix beta_first, matrix[] beta_middle, matrix beta_last, matrix weight_first, matrix[] weight_middle, matrix weight_last, int num_hidden_layers, int num_hidden_nodes, int[] group_sizes, int hidden_activation, int[] activation_type){
matrix[rows(X), cols(beta_first)] l... |
983872c904b57ed6be8f25ae2fa2b2e92f3bebd96e8064cbd454a950c26af779 | Stan | 5,003 | 186 | functions{
//function containing the ODEs
real [] mPBPK(real t,
real[] y,
real[] theta,
real[] rdata,
int[] idata) {
real dydt[4] ;
real k21;real k12;real ke;
real Vp; real VISF; real L;
real Vlymph; real Kp; real sigmaL;
real L1; real L2; r... |
3a9e3ab7c485bf9e879b8825acc66fc470a446e52604f908aa65eb3c1a3331bf | Stan | 5,270 | 156 | functions {
// sparse_car_lpdf is written by Max Joseph
// see: http://mc-stan.org/users/documentation/case-studies/mbjoseph-CARStan.html
real sparse_car_lpdf(vector phi, real tau, real alpha, int[,] W_sparse, vector D_sparse, vector lambda, int n, int W_n) {
row_vector[n] phit_D;
row_vector[n] phit_W;
... |
e6ae30a3d335dab2bbbae69fd820449f726f0b219d272a28c564f88d7ca5a36f | Stan | 6,408 | 191 | functions {
// sparse_car_lpdf is written by Max Joseph
// see: http://mc-stan.org/users/documentation/case-studies/mbjoseph-CARStan.html
real sparse_car_lpdf(vector phi, real tau, real alpha, int[,] W_sparse, vector D_sparse, vector lambda, int n, int W_n) {
row_vector[n] phit_D;
row_vector[n] phit_W;
... |
8209f8cc981f428e47215cf90f2fe3a1de6c48bb456bac50acf566e2f1b1ac17 | Stan | 10,560 | 362 | data {
int<lower=1> N;
int<lower=1> I;
int<lower=1> J;
int<lower=1> K;
array[N] int<lower=1,upper=I> subj;
array[N] int<lower=1,upper=J> coil;
array[N] int<lower=1,upper=K> side;
vector[N] Intensity;
vector[N] Y;
vector[J] MSO_limit;
// Prior hyperparameters
real prior_mu_theta_mean;
real ... |
60f976de9f29934106677bb07e80335c9edb50becaafccd4459272f0befed595 | Text | 10 | 1 | # nLightG2 |
6b1f9ede22f8e713ceec849f821568c3e3cc9e672883a3cf9ba3553afd513090 | Text | 12 | 1 | # neurALLnet |
ee13e28535db44e9462ce39d6eae395c7ace17f2c8230f1a75bf556469df8501 | Text | 15 | 1 | # RawConverter
|
2b590ddb2b9fe7472314a9c35ae529e41ea70b5b56c7502dad6304d93294e0f8 | Text | 21 | 1 | # SurroundMotionPaper |
0ef44d165858076be3aa3a0b0b8ca76cb00d74275dc8b4a5d24f9056ebfc784d | Text | 22 | 2 | # Broadcast_channel
|
79236513e5c106fed2080351e19392c9d93645614193b95d0ed30984f7387a1b | Text | 22 | 1 | # s1AnfuncoPublication |
e0f89acc60219a1f690cd036ab68f36fcc16fb09bc338bdae6899fab0a69543c | Text | 22 | 3 | # AUDsnCEA
test
test2
|
cb37f960ebea077cd52f1ce823fdaf1df91110dee07a6c143d646d1d6004cfff | Text | 23 | 1 | # RestLFP-PD-Depression |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.